using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Database.Entities;
using ReallifeGamemode.Server.Extensions;
using ReallifeGamemode.Server.Managers;

namespace ReallifeGamemode.Server.Inventory.Items
{
  internal class Baklava : ConsumableItem
  {
    public override int Id => 105;
    public override string Name => "Baklava";
    public override string Description => "Dessert für dannach.";
    public override int Gewicht => 100;
    public override string Einheit => "g";
    public override int HpAmount => 30;
    public override uint Object => 2240524752;
    public override int Price => 150;

    public override float Cooldown => 180000;

    public override void Consume(UserItem uItem)
    {
      Player player = uItem.GetUser().Player;

      int amountToAdd = HpAmount;
      if (player.Health + amountToAdd > 100)
      {
        amountToAdd = 100 - player.Health;
      }

      player.SafeSetHealth(player.Health + amountToAdd);
      player.SendNotification("Du hast ein ~y~" + Name + " ~s~gegessen.", false);
      InventoryManager.RemoveUserItem(player.GetUser(), uItem, 1);
    }
  }
}
